#include <cstdio>

int main(int argc, char** argv)
{
  FILE * in = fopen("porez.in", "r"), *out = fopen("porez.out", "w");
  
  int n, k;
  long long sum = 0;
  fscanf(in, "%d %d", &n, &k);
  for (int i = 0; i < n; ++i) {
    long long a;
    fscanf(in, "%lld", &a);
    sum += a;
  }
  
  for (int i = 1; i < n; ++i) {
    int dummy;
    fscanf(in, "%d", &dummy);
  }
  
  long long mod = sum % k, div = sum / k;
  if (mod > 0) ++div;
  fprintf(out, "%lld", div);
  
  fclose(in); fclose(out);
  return 0;  
}
